com.smartgwt.client.widgets

## Class FiscalYear

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.FiscalYear

-     public class FiscalYear
      extends RefDataClass

  An object representing the start of a given Fiscal Year in the current locale.

  See `FiscalCalendar` for more information on how FiscalYears are set up and used.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FiscalYear()`
    `FiscalYear(int year, int month, int date)`
    `FiscalYear(int fiscalYear, int year, int month, int date)`
    `FiscalYear(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getDate()` The one-based day-number in the `specified month` when this fiscal year starts.
    `java.lang.Integer` | `getFiscalYear()` The actual fiscal year that this date relates to.
    `java.lang.Integer` | `getMonth()` The zero-based month-number when this fiscal year starts.
    `static FiscalYear` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Integer` | `getYear()` The 4-digit calendar year when this fiscal year starts.
    `void` | `setDate(java.lang.Integer date)` The one-based day-number in the `specified month` when this fiscal year starts.
    `void` | `setFiscalYear(java.lang.Integer fiscalYear)` The actual fiscal year that this date relates to.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setMonth(java.lang.Integer month)` The zero-based month-number when this fiscal year starts.
    `void` | `setYear(java.lang.Integer year)` The 4-digit calendar year when this fiscal year starts.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FiscalYear

          public FiscalYear()

    - #### FiscalYear

          public FiscalYear(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### FiscalYear

          public FiscalYear(int year,
                    int month,
                    int date)

    - #### FiscalYear

          public FiscalYear(int fiscalYear,
                    int year,
                    int month,
                    int date)

  - ### Method Detail

    - #### getOrCreateRef

          public static FiscalYear getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setDate

          public void setDate(java.lang.Integer date)

      The one-based day-number in the `specified month` when this fiscal year starts.
      Parameters:
        `date` - date Default value is null

    - #### getDate

          public java.lang.Integer getDate()

      The one-based day-number in the `specified month` when this fiscal year starts.
      Returns:
        Integer

    - #### setFiscalYear

          public void setFiscalYear(java.lang.Integer fiscalYear)

      The actual fiscal year that this date relates to.

      A fiscal year ends when the next one begins. A fiscal year may span the boundary between two calendar years in which case the `fiscalYear` value may not match the `year` value.

      For example fiscalYear 2020 may start in July of 2019 and end in July of 2020. In this case the `fiscalYear` would be set to `2020` and the `year` would be set to `2019`

      Parameters:
        `fiscalYear` - fiscalYear Default value is null

    - #### getFiscalYear

          public java.lang.Integer getFiscalYear()

      The actual fiscal year that this date relates to.

      A fiscal year ends when the next one begins. A fiscal year may span the boundary between two calendar years in which case the `fiscalYear` value may not match the `year` value.

      For example fiscalYear 2020 may start in July of 2019 and end in July of 2020. In this case the `fiscalYear` would be set to `2020` and the `year` would be set to `2019`

      Returns:
        Integer

    - #### setMonth

          public void setMonth(java.lang.Integer month)

      The zero-based month-number when this fiscal year starts.
      Parameters:
        `month` - month Default value is null

    - #### getMonth

          public java.lang.Integer getMonth()

      The zero-based month-number when this fiscal year starts.
      Returns:
        Integer

    - #### setYear

          public void setYear(java.lang.Integer year)

      The 4-digit calendar year when this fiscal year starts.
      Parameters:
        `year` - year Default value is null

    - #### getYear

          public java.lang.Integer getYear()

      The 4-digit calendar year when this fiscal year starts.
      Returns:
        Integer